> For the complete documentation index, see [llms.txt](https://docs.filecoin.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.filecoin.io/reference/json-rpc/market.md).

# Market

## MarketAddBalance

MarketAddBalance adds funds to the market actor

Perms: sign

Inputs:

```json
["f01234", "f01234", "0"]
```

Response:

```json
{
  "/": "bafy2bzacea3wsdh6y3a36tb3skempjoxqpuyompjbmfeyf34fi3uy6uue42v4"
}
```

## MarketGetReserved

MarketGetReserved gets the amount of funds that are currently reserved for the address

Perms: sign

Inputs:

```json
["f01234"]
```

Response: `"0"`

## MarketReleaseFunds

MarketReleaseFunds releases funds reserved by MarketReserveFunds

Perms: sign

Inputs:

```json
["f01234", "0"]
```

Response: `{}`

## MarketReserveFunds

MarketReserveFunds reserves funds for a deal

Perms: sign

Inputs:

```json
["f01234", "f01234", "0"]
```

Response:

```json
{
  "/": "bafy2bzacea3wsdh6y3a36tb3skempjoxqpuyompjbmfeyf34fi3uy6uue42v4"
}
```

## MarketWithdraw

MarketWithdraw withdraws unlocked funds from the market actor

Perms: sign

Inputs:

```json
["f01234", "f01234", "0"]
```

Response:

```json
{
  "/": "bafy2bzacea3wsdh6y3a36tb3skempjoxqpuyompjbmfeyf34fi3uy6uue42v4"
}
```

[Was this page helpful?](https://airtable.com/apppq4inOe4gmSSlk/pagoZHC2i1iqgphgl/form?prefill_Page+URL=https://docs.filecoin.io/reference/json-rpc/market)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.filecoin.io/reference/json-rpc/market.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
